Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Interface JcrQueryContext

    public interface JcrQueryContext

The context in which queries are executed.

Method Summary
`Value` | `createValue(int propertyType, Object value)`
`NodeIterator` | `emptyNodeIterator()`
`QueryResults` | `execute(QueryCommand query, PlanHints hints, Map<String,Object> variables)`
`ExecutionContext` | `getExecutionContext()`
`Node` | `getNode(Location location)`
`Node` | `getNode(UUID uuid)`
`Schemata` | `getSchemata()`
`boolean` | `isLive()`
`QueryResults` | `search(String searchExpression, int maxRowCount, int offset)`
`Node` | `store(String absolutePath, Name nodeType, String language, String statement)`

Method Detail

### isLive

    boolean isLive()

### getExecutionContext

    ExecutionContext getExecutionContext()

### getSchemata

    Schemata getSchemata()

### store

    Node store(String absolutePath,
               Name nodeType,
               String language,
               String statement)
               throws RepositoryException

  Throws:
    `RepositoryException`

### getNode

    Node getNode(Location location)
                 throws RepositoryException

  Throws:
    `RepositoryException`

### getNode

    Node getNode(UUID uuid)
                 throws RepositoryException

  Throws:
    `RepositoryException`

### createValue

    Value createValue(int propertyType,
                      Object value)

### execute

    QueryResults execute(QueryCommand query,
                         PlanHints hints,
                         Map<String,Object> variables)
                         throws RepositoryException

  Throws:
    `RepositoryException`

### search

    QueryResults search(String searchExpression,
                        int maxRowCount,
                        int offset)
                        throws RepositoryException

  Throws:
    `RepositoryException`

### emptyNodeIterator

    NodeIterator emptyNodeIterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.